from IxRestPyUtils import setEnvironment, createSession, closeSession
import time

setEnvironment(ip="localhost", apiVersion="v1")
session = createSession(version="9.00.0.177")

try:
    session.start()

    test = session.ixload.test
    test.loadtest(fullPath="D:/l23.rxf")
    
    chassisChain = session.ixload.chassischAin
    chassisList = chassisChain.chassisList
    chassisList.clear()
    chassis = chassisList.appendItem(name="ixro-vaaqa-05")
    chassis.refreshConnection()
    
    
    activeTest = test.activeTest

    clientCommunity = activeTest.communityList[0]
    serverCommunity = activeTest.communityList[1]
    
    clientPortList = clientCommunity.network.portList
    serverPortList = serverCommunity.network.portList
    
    clientPortList.clear()
    clientPortList.appendItem(chassisId=1, cardId=10, portId=3)
    
    serverPortList.clear()
    serverPortList.appendItem(chassisId=1, cardId=10, portId=4)
    
    test.runTest()
    
except Exception as ex:
    print("Caught exception -> %s" % (str(ex)))
finally:
    closeSession(session)